> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /jplatpat/patents

> Get a Japanese patent or utility model record from J-PlatPat (INPIT / JPO) by its number: title, applicants/right holders, application/publication/registration/examined-publication numbers, application and publication dates, FI classifications, priority number and internal document id.

**Price:** 1 credit

**⚠️ Common errors:** 412: No record found for the provided number and number_type



## OpenAPI

````yaml /openapi/gov-public-sector.json post /api/jplatpat/patents
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/jplatpat/patents:
    post:
      tags:
        - /jplatpat
      summary: /jplatpat/patents
      description: >-
        Get a Japanese patent or utility model record from J-PlatPat (INPIT /
        JPO) by its number: title, applicants/right holders,
        application/publication/registration/examined-publication numbers,
        application and publication dates, FI classifications, priority number
        and internal document id.


        **Price:** 1 credit


        **⚠️ Common errors:** 412: No record found for the provided number and
        number_type
      operationId: __api_jplatpat_patents_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/JplatpatPatentsPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/JplatpatPatent'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    JplatpatPatentsPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        number:
          type: string
          minLength: 1
        number_type:
          $ref: '#/components/schemas/JplatpatPatentNumberType'
          default: registration
      type: object
      required:
        - number
    JplatpatPatent:
      properties:
        '@type':
          type: string
          default: JplatpatPatent
        isn:
          type: string
        law_division:
          anyOf:
            - type: string
            - type: 'null'
        applicants:
          items:
            type: string
          type: array
          default: []
        app_number:
          anyOf:
            - type: string
            - type: 'null'
        publication_number:
          anyOf:
            - type: string
            - type: 'null'
        registration_number:
          anyOf:
            - type: string
            - type: 'null'
        exam_pub_number:
          anyOf:
            - type: string
            - type: 'null'
        priority_number:
          anyOf:
            - type: string
            - type: 'null'
        app_date:
          anyOf:
            - type: string
            - type: 'null'
        known_date:
          anyOf:
            - type: string
            - type: 'null'
        classifications:
          items:
            type: string
          type: array
          default: []
        status:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - isn
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    JplatpatPatentNumberType:
      type: string
      enum:
        - application
        - publication
        - examined_publication
        - registration
        - utility_model_application
        - utility_model_publication
        - utility_model_registration
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````